IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/48
Addresses2^80
/64 networks65,536
- Network
3c19:c25f:c083::/48- First address
3c19:c25f:c083::- Last address
3c19:c25f:c083:ffff:ffff:ffff:ffff:ffff- Addresses
- 1,208,925,819,614,629,174,706,176 (2^80)
- /64 networks (LANs)
- 65,536
- Full form
3c19:c25f:c083:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
3.8.0.c.f.5.2.c.9.1.c.3.ip6.arpa
Split into smaller subnets
3c19:c25f:c083::/48 makes 65,536 subnets of /64; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 3c19:c25f:c083::/64 | 3c19:c25f:c083:0:ffff:ffff:ffff:ffff |
| 2 | 3c19:c25f:c083:1::/64 | 3c19:c25f:c083:1:ffff:ffff:ffff:ffff |
| 3 | 3c19:c25f:c083:2::/64 | 3c19:c25f:c083:2:ffff:ffff:ffff:ffff |
| 4 | 3c19:c25f:c083:3::/64 | 3c19:c25f:c083:3:ffff:ffff:ffff:ffff |
| 5 | 3c19:c25f:c083:4::/64 | 3c19:c25f:c083:4:ffff:ffff:ffff:ffff |
| 6 | 3c19:c25f:c083:5::/64 | 3c19:c25f:c083:5:ffff:ffff:ffff:ffff |
| 7 | 3c19:c25f:c083:6::/64 | 3c19:c25f:c083:6:ffff:ffff:ffff:ffff |
| 8 | 3c19:c25f:c083:7::/64 | 3c19:c25f:c083:7:ffff:ffff:ffff:ffff |
| 9 | 3c19:c25f:c083:8::/64 | 3c19:c25f:c083:8:ffff:ffff:ffff:ffff |
| 10 | 3c19:c25f:c083:9::/64 | 3c19:c25f:c083:9:ffff:ffff:ffff:ffff |
| 11 | 3c19:c25f:c083:a::/64 | 3c19:c25f:c083:a:ffff:ffff:ffff:ffff |
| 12 | 3c19:c25f:c083:b::/64 | 3c19:c25f:c083:b:ffff:ffff:ffff:ffff |
| 13 | 3c19:c25f:c083:c::/64 | 3c19:c25f:c083:c:ffff:ffff:ffff:ffff |
| 14 | 3c19:c25f:c083:d::/64 | 3c19:c25f:c083:d:ffff:ffff:ffff:ffff |
| 15 | 3c19:c25f:c083:e::/64 | 3c19:c25f:c083:e:ffff:ffff:ffff:ffff |
| 16 | 3c19:c25f:c083:f::/64 | 3c19:c25f:c083:f:ffff:ffff:ffff:ffff |
| 17 | 3c19:c25f:c083:10::/64 | 3c19:c25f:c083:10:ffff:ffff:ffff:ffff |
| 18 | 3c19:c25f:c083:11::/64 | 3c19:c25f:c083:11:ffff:ffff:ffff:ffff |
| 19 | 3c19:c25f:c083:12::/64 | 3c19:c25f:c083:12:ffff:ffff:ffff:ffff |
| 20 | 3c19:c25f:c083:13::/64 | 3c19:c25f:c083:13:ffff:ffff:ffff:ffff |
| 21 | 3c19:c25f:c083:14::/64 | 3c19:c25f:c083:14:ffff:ffff:ffff:ffff |
| 22 | 3c19:c25f:c083:15::/64 | 3c19:c25f:c083:15:ffff:ffff:ffff:ffff |
| 23 | 3c19:c25f:c083:16::/64 | 3c19:c25f:c083:16:ffff:ffff:ffff:ffff |
| 24 | 3c19:c25f:c083:17::/64 | 3c19:c25f:c083:17:ffff:ffff:ffff:ffff |
| 25 | 3c19:c25f:c083:18::/64 | 3c19:c25f:c083:18:ffff:ffff:ffff:ffff |
| 26 | 3c19:c25f:c083:19::/64 | 3c19:c25f:c083:19:ffff:ffff:ffff:ffff |
| 27 | 3c19:c25f:c083:1a::/64 | 3c19:c25f:c083:1a:ffff:ffff:ffff:ffff |
| 28 | 3c19:c25f:c083:1b::/64 | 3c19:c25f:c083:1b:ffff:ffff:ffff:ffff |
| 29 | 3c19:c25f:c083:1c::/64 | 3c19:c25f:c083:1c:ffff:ffff:ffff:ffff |
| 30 | 3c19:c25f:c083:1d::/64 | 3c19:c25f:c083:1d:ffff:ffff:ffff:ffff |
| 31 | 3c19:c25f:c083:1e::/64 | 3c19:c25f:c083:1e:ffff:ffff:ffff:ffff |
| 32 | 3c19:c25f:c083:1f::/64 | 3c19:c25f:c083:1f:ffff:ffff:ffff:ffff |
| 33 | 3c19:c25f:c083:20::/64 | 3c19:c25f:c083:20:ffff:ffff:ffff:ffff |
| 34 | 3c19:c25f:c083:21::/64 | 3c19:c25f:c083:21:ffff:ffff:ffff:ffff |
| 35 | 3c19:c25f:c083:22::/64 | 3c19:c25f:c083:22:ffff:ffff:ffff:ffff |
| 36 | 3c19:c25f:c083:23::/64 | 3c19:c25f:c083:23:ffff:ffff:ffff:ffff |
| 37 | 3c19:c25f:c083:24::/64 | 3c19:c25f:c083:24:ffff:ffff:ffff:ffff |
| 38 | 3c19:c25f:c083:25::/64 | 3c19:c25f:c083:25:ffff:ffff:ffff:ffff |
| 39 | 3c19:c25f:c083:26::/64 | 3c19:c25f:c083:26:ffff:ffff:ffff:ffff |
| 40 | 3c19:c25f:c083:27::/64 | 3c19:c25f:c083:27:ffff:ffff:ffff:ffff |
| 41 | 3c19:c25f:c083:28::/64 | 3c19:c25f:c083:28:ffff:ffff:ffff:ffff |
| 42 | 3c19:c25f:c083:29::/64 | 3c19:c25f:c083:29:ffff:ffff:ffff:ffff |
| 43 | 3c19:c25f:c083:2a::/64 | 3c19:c25f:c083:2a:ffff:ffff:ffff:ffff |
| 44 | 3c19:c25f:c083:2b::/64 | 3c19:c25f:c083:2b:ffff:ffff:ffff:ffff |
| 45 | 3c19:c25f:c083:2c::/64 | 3c19:c25f:c083:2c:ffff:ffff:ffff:ffff |
| 46 | 3c19:c25f:c083:2d::/64 | 3c19:c25f:c083:2d:ffff:ffff:ffff:ffff |
| 47 | 3c19:c25f:c083:2e::/64 | 3c19:c25f:c083:2e:ffff:ffff:ffff:ffff |
| 48 | 3c19:c25f:c083:2f::/64 | 3c19:c25f:c083:2f:ffff:ffff:ffff:ffff |
| 49 | 3c19:c25f:c083:30::/64 | 3c19:c25f:c083:30:ffff:ffff:ffff:ffff |
| 50 | 3c19:c25f:c083:31::/64 | 3c19:c25f:c083:31:ffff:ffff:ffff:ffff |
| 51 | 3c19:c25f:c083:32::/64 | 3c19:c25f:c083:32:ffff:ffff:ffff:ffff |
| 52 | 3c19:c25f:c083:33::/64 | 3c19:c25f:c083:33:ffff:ffff:ffff:ffff |
| 53 | 3c19:c25f:c083:34::/64 | 3c19:c25f:c083:34:ffff:ffff:ffff:ffff |
| 54 | 3c19:c25f:c083:35::/64 | 3c19:c25f:c083:35:ffff:ffff:ffff:ffff |
| 55 | 3c19:c25f:c083:36::/64 | 3c19:c25f:c083:36:ffff:ffff:ffff:ffff |
| 56 | 3c19:c25f:c083:37::/64 | 3c19:c25f:c083:37:ffff:ffff:ffff:ffff |
| 57 | 3c19:c25f:c083:38::/64 | 3c19:c25f:c083:38:ffff:ffff:ffff:ffff |
| 58 | 3c19:c25f:c083:39::/64 | 3c19:c25f:c083:39:ffff:ffff:ffff:ffff |
| 59 | 3c19:c25f:c083:3a::/64 | 3c19:c25f:c083:3a:ffff:ffff:ffff:ffff |
| 60 | 3c19:c25f:c083:3b::/64 | 3c19:c25f:c083:3b:ffff:ffff:ffff:ffff |
| 61 | 3c19:c25f:c083:3c::/64 | 3c19:c25f:c083:3c:ffff:ffff:ffff:ffff |
| 62 | 3c19:c25f:c083:3d::/64 | 3c19:c25f:c083:3d:ffff:ffff:ffff:ffff |
| 63 | 3c19:c25f:c083:3e::/64 | 3c19:c25f:c083:3e:ffff:ffff:ffff:ffff |
| 64 | 3c19:c25f:c083:3f::/64 | 3c19:c25f:c083:3f:ffff:ffff:ffff:ffff |
| 65 | 3c19:c25f:c083:40::/64 | 3c19:c25f:c083:40:ffff:ffff:ffff:ffff |
| 66 | 3c19:c25f:c083:41::/64 | 3c19:c25f:c083:41:ffff:ffff:ffff:ffff |
| 67 | 3c19:c25f:c083:42::/64 | 3c19:c25f:c083:42:ffff:ffff:ffff:ffff |
| 68 | 3c19:c25f:c083:43::/64 | 3c19:c25f:c083:43:ffff:ffff:ffff:ffff |
| 69 | 3c19:c25f:c083:44::/64 | 3c19:c25f:c083:44:ffff:ffff:ffff:ffff |
| 70 | 3c19:c25f:c083:45::/64 | 3c19:c25f:c083:45:ffff:ffff:ffff:ffff |
| 71 | 3c19:c25f:c083:46::/64 | 3c19:c25f:c083:46:ffff:ffff:ffff:ffff |
| 72 | 3c19:c25f:c083:47::/64 | 3c19:c25f:c083:47:ffff:ffff:ffff:ffff |
| 73 | 3c19:c25f:c083:48::/64 | 3c19:c25f:c083:48:ffff:ffff:ffff:ffff |
| 74 | 3c19:c25f:c083:49::/64 | 3c19:c25f:c083:49:ffff:ffff:ffff:ffff |
| 75 | 3c19:c25f:c083:4a::/64 | 3c19:c25f:c083:4a:ffff:ffff:ffff:ffff |
| 76 | 3c19:c25f:c083:4b::/64 | 3c19:c25f:c083:4b:ffff:ffff:ffff:ffff |
| 77 | 3c19:c25f:c083:4c::/64 | 3c19:c25f:c083:4c:ffff:ffff:ffff:ffff |
| 78 | 3c19:c25f:c083:4d::/64 | 3c19:c25f:c083:4d:ffff:ffff:ffff:ffff |
| 79 | 3c19:c25f:c083:4e::/64 | 3c19:c25f:c083:4e:ffff:ffff:ffff:ffff |
| 80 | 3c19:c25f:c083:4f::/64 | 3c19:c25f:c083:4f:ffff:ffff:ffff:ffff |
| 81 | 3c19:c25f:c083:50::/64 | 3c19:c25f:c083:50:ffff:ffff:ffff:ffff |
| 82 | 3c19:c25f:c083:51::/64 | 3c19:c25f:c083:51:ffff:ffff:ffff:ffff |
| 83 | 3c19:c25f:c083:52::/64 | 3c19:c25f:c083:52:ffff:ffff:ffff:ffff |
| 84 | 3c19:c25f:c083:53::/64 | 3c19:c25f:c083:53:ffff:ffff:ffff:ffff |
| 85 | 3c19:c25f:c083:54::/64 | 3c19:c25f:c083:54:ffff:ffff:ffff:ffff |
| 86 | 3c19:c25f:c083:55::/64 | 3c19:c25f:c083:55:ffff:ffff:ffff:ffff |
| 87 | 3c19:c25f:c083:56::/64 | 3c19:c25f:c083:56:ffff:ffff:ffff:ffff |
| 88 | 3c19:c25f:c083:57::/64 | 3c19:c25f:c083:57:ffff:ffff:ffff:ffff |
| 89 | 3c19:c25f:c083:58::/64 | 3c19:c25f:c083:58:ffff:ffff:ffff:ffff |
| 90 | 3c19:c25f:c083:59::/64 | 3c19:c25f:c083:59:ffff:ffff:ffff:ffff |
| 91 | 3c19:c25f:c083:5a::/64 | 3c19:c25f:c083:5a:ffff:ffff:ffff:ffff |
| 92 | 3c19:c25f:c083:5b::/64 | 3c19:c25f:c083:5b:ffff:ffff:ffff:ffff |
| 93 | 3c19:c25f:c083:5c::/64 | 3c19:c25f:c083:5c:ffff:ffff:ffff:ffff |
| 94 | 3c19:c25f:c083:5d::/64 | 3c19:c25f:c083:5d:ffff:ffff:ffff:ffff |
| 95 | 3c19:c25f:c083:5e::/64 | 3c19:c25f:c083:5e:ffff:ffff:ffff:ffff |
| 96 | 3c19:c25f:c083:5f::/64 | 3c19:c25f:c083:5f:ffff:ffff:ffff:ffff |
| 97 | 3c19:c25f:c083:60::/64 | 3c19:c25f:c083:60:ffff:ffff:ffff:ffff |
| 98 | 3c19:c25f:c083:61::/64 | 3c19:c25f:c083:61:ffff:ffff:ffff:ffff |
| 99 | 3c19:c25f:c083:62::/64 | 3c19:c25f:c083:62:ffff:ffff:ffff:ffff |
| 100 | 3c19:c25f:c083:63::/64 | 3c19:c25f:c083:63:ffff:ffff:ffff:ffff |
| 101 | 3c19:c25f:c083:64::/64 | 3c19:c25f:c083:64:ffff:ffff:ffff:ffff |
| 102 | 3c19:c25f:c083:65::/64 | 3c19:c25f:c083:65:ffff:ffff:ffff:ffff |
| 103 | 3c19:c25f:c083:66::/64 | 3c19:c25f:c083:66:ffff:ffff:ffff:ffff |
| 104 | 3c19:c25f:c083:67::/64 | 3c19:c25f:c083:67:ffff:ffff:ffff:ffff |
| 105 | 3c19:c25f:c083:68::/64 | 3c19:c25f:c083:68:ffff:ffff:ffff:ffff |
| 106 | 3c19:c25f:c083:69::/64 | 3c19:c25f:c083:69:ffff:ffff:ffff:ffff |
| 107 | 3c19:c25f:c083:6a::/64 | 3c19:c25f:c083:6a:ffff:ffff:ffff:ffff |
| 108 | 3c19:c25f:c083:6b::/64 | 3c19:c25f:c083:6b:ffff:ffff:ffff:ffff |
| 109 | 3c19:c25f:c083:6c::/64 | 3c19:c25f:c083:6c:ffff:ffff:ffff:ffff |
| 110 | 3c19:c25f:c083:6d::/64 | 3c19:c25f:c083:6d:ffff:ffff:ffff:ffff |
| 111 | 3c19:c25f:c083:6e::/64 | 3c19:c25f:c083:6e:ffff:ffff:ffff:ffff |
| 112 | 3c19:c25f:c083:6f::/64 | 3c19:c25f:c083:6f:ffff:ffff:ffff:ffff |
| 113 | 3c19:c25f:c083:70::/64 | 3c19:c25f:c083:70:ffff:ffff:ffff:ffff |
| 114 | 3c19:c25f:c083:71::/64 | 3c19:c25f:c083:71:ffff:ffff:ffff:ffff |
| 115 | 3c19:c25f:c083:72::/64 | 3c19:c25f:c083:72:ffff:ffff:ffff:ffff |
| 116 | 3c19:c25f:c083:73::/64 | 3c19:c25f:c083:73:ffff:ffff:ffff:ffff |
| 117 | 3c19:c25f:c083:74::/64 | 3c19:c25f:c083:74:ffff:ffff:ffff:ffff |
| 118 | 3c19:c25f:c083:75::/64 | 3c19:c25f:c083:75:ffff:ffff:ffff:ffff |
| 119 | 3c19:c25f:c083:76::/64 | 3c19:c25f:c083:76:ffff:ffff:ffff:ffff |
| 120 | 3c19:c25f:c083:77::/64 | 3c19:c25f:c083:77:ffff:ffff:ffff:ffff |
| 121 | 3c19:c25f:c083:78::/64 | 3c19:c25f:c083:78:ffff:ffff:ffff:ffff |
| 122 | 3c19:c25f:c083:79::/64 | 3c19:c25f:c083:79:ffff:ffff:ffff:ffff |
| 123 | 3c19:c25f:c083:7a::/64 | 3c19:c25f:c083:7a:ffff:ffff:ffff:ffff |
| 124 | 3c19:c25f:c083:7b::/64 | 3c19:c25f:c083:7b:ffff:ffff:ffff:ffff |
| 125 | 3c19:c25f:c083:7c::/64 | 3c19:c25f:c083:7c:ffff:ffff:ffff:ffff |
| 126 | 3c19:c25f:c083:7d::/64 | 3c19:c25f:c083:7d:ffff:ffff:ffff:ffff |
| 127 | 3c19:c25f:c083:7e::/64 | 3c19:c25f:c083:7e:ffff:ffff:ffff:ffff |
| 128 | 3c19:c25f:c083:7f::/64 | 3c19:c25f:c083:7f:ffff:ffff:ffff:ffff |
| 129 | 3c19:c25f:c083:80::/64 | 3c19:c25f:c083:80:ffff:ffff:ffff:ffff |
| 130 | 3c19:c25f:c083:81::/64 | 3c19:c25f:c083:81:ffff:ffff:ffff:ffff |
| 131 | 3c19:c25f:c083:82::/64 | 3c19:c25f:c083:82:ffff:ffff:ffff:ffff |
| 132 | 3c19:c25f:c083:83::/64 | 3c19:c25f:c083:83:ffff:ffff:ffff:ffff |
| 133 | 3c19:c25f:c083:84::/64 | 3c19:c25f:c083:84:ffff:ffff:ffff:ffff |
| 134 | 3c19:c25f:c083:85::/64 | 3c19:c25f:c083:85:ffff:ffff:ffff:ffff |
| 135 | 3c19:c25f:c083:86::/64 | 3c19:c25f:c083:86:ffff:ffff:ffff:ffff |
| 136 | 3c19:c25f:c083:87::/64 | 3c19:c25f:c083:87:ffff:ffff:ffff:ffff |
| 137 | 3c19:c25f:c083:88::/64 | 3c19:c25f:c083:88:ffff:ffff:ffff:ffff |
| 138 | 3c19:c25f:c083:89::/64 | 3c19:c25f:c083:89:ffff:ffff:ffff:ffff |
| 139 | 3c19:c25f:c083:8a::/64 | 3c19:c25f:c083:8a:ffff:ffff:ffff:ffff |
| 140 | 3c19:c25f:c083:8b::/64 | 3c19:c25f:c083:8b:ffff:ffff:ffff:ffff |
| 141 | 3c19:c25f:c083:8c::/64 | 3c19:c25f:c083:8c:ffff:ffff:ffff:ffff |
| 142 | 3c19:c25f:c083:8d::/64 | 3c19:c25f:c083:8d:ffff:ffff:ffff:ffff |
| 143 | 3c19:c25f:c083:8e::/64 | 3c19:c25f:c083:8e:ffff:ffff:ffff:ffff |
| 144 | 3c19:c25f:c083:8f::/64 | 3c19:c25f:c083:8f:ffff:ffff:ffff:ffff |
| 145 | 3c19:c25f:c083:90::/64 | 3c19:c25f:c083:90:ffff:ffff:ffff:ffff |
| 146 | 3c19:c25f:c083:91::/64 | 3c19:c25f:c083:91:ffff:ffff:ffff:ffff |
| 147 | 3c19:c25f:c083:92::/64 | 3c19:c25f:c083:92:ffff:ffff:ffff:ffff |
| 148 | 3c19:c25f:c083:93::/64 | 3c19:c25f:c083:93:ffff:ffff:ffff:ffff |
| 149 | 3c19:c25f:c083:94::/64 | 3c19:c25f:c083:94:ffff:ffff:ffff:ffff |
| 150 | 3c19:c25f:c083:95::/64 | 3c19:c25f:c083:95:ffff:ffff:ffff:ffff |
| 151 | 3c19:c25f:c083:96::/64 | 3c19:c25f:c083:96:ffff:ffff:ffff:ffff |
| 152 | 3c19:c25f:c083:97::/64 | 3c19:c25f:c083:97:ffff:ffff:ffff:ffff |
| 153 | 3c19:c25f:c083:98::/64 | 3c19:c25f:c083:98:ffff:ffff:ffff:ffff |
| 154 | 3c19:c25f:c083:99::/64 | 3c19:c25f:c083:99:ffff:ffff:ffff:ffff |
| 155 | 3c19:c25f:c083:9a::/64 | 3c19:c25f:c083:9a:ffff:ffff:ffff:ffff |
| 156 | 3c19:c25f:c083:9b::/64 | 3c19:c25f:c083:9b:ffff:ffff:ffff:ffff |
| 157 | 3c19:c25f:c083:9c::/64 | 3c19:c25f:c083:9c:ffff:ffff:ffff:ffff |
| 158 | 3c19:c25f:c083:9d::/64 | 3c19:c25f:c083:9d:ffff:ffff:ffff:ffff |
| 159 | 3c19:c25f:c083:9e::/64 | 3c19:c25f:c083:9e:ffff:ffff:ffff:ffff |
| 160 | 3c19:c25f:c083:9f::/64 | 3c19:c25f:c083:9f:ffff:ffff:ffff:ffff |
| 161 | 3c19:c25f:c083:a0::/64 | 3c19:c25f:c083:a0:ffff:ffff:ffff:ffff |
| 162 | 3c19:c25f:c083:a1::/64 | 3c19:c25f:c083:a1:ffff:ffff:ffff:ffff |
| 163 | 3c19:c25f:c083:a2::/64 | 3c19:c25f:c083:a2:ffff:ffff:ffff:ffff |
| 164 | 3c19:c25f:c083:a3::/64 | 3c19:c25f:c083:a3:ffff:ffff:ffff:ffff |
| 165 | 3c19:c25f:c083:a4::/64 | 3c19:c25f:c083:a4:ffff:ffff:ffff:ffff |
| 166 | 3c19:c25f:c083:a5::/64 | 3c19:c25f:c083:a5:ffff:ffff:ffff:ffff |
| 167 | 3c19:c25f:c083:a6::/64 | 3c19:c25f:c083:a6:ffff:ffff:ffff:ffff |
| 168 | 3c19:c25f:c083:a7::/64 | 3c19:c25f:c083:a7:ffff:ffff:ffff:ffff |
| 169 | 3c19:c25f:c083:a8::/64 | 3c19:c25f:c083:a8:ffff:ffff:ffff:ffff |
| 170 | 3c19:c25f:c083:a9::/64 | 3c19:c25f:c083:a9:ffff:ffff:ffff:ffff |
| 171 | 3c19:c25f:c083:aa::/64 | 3c19:c25f:c083:aa:ffff:ffff:ffff:ffff |
| 172 | 3c19:c25f:c083:ab::/64 | 3c19:c25f:c083:ab:ffff:ffff:ffff:ffff |
| 173 | 3c19:c25f:c083:ac::/64 | 3c19:c25f:c083:ac:ffff:ffff:ffff:ffff |
| 174 | 3c19:c25f:c083:ad::/64 | 3c19:c25f:c083:ad:ffff:ffff:ffff:ffff |
| 175 | 3c19:c25f:c083:ae::/64 | 3c19:c25f:c083:ae:ffff:ffff:ffff:ffff |
| 176 | 3c19:c25f:c083:af::/64 | 3c19:c25f:c083:af:ffff:ffff:ffff:ffff |
| 177 | 3c19:c25f:c083:b0::/64 | 3c19:c25f:c083:b0:ffff:ffff:ffff:ffff |
| 178 | 3c19:c25f:c083:b1::/64 | 3c19:c25f:c083:b1:ffff:ffff:ffff:ffff |
| 179 | 3c19:c25f:c083:b2::/64 | 3c19:c25f:c083:b2:ffff:ffff:ffff:ffff |
| 180 | 3c19:c25f:c083:b3::/64 | 3c19:c25f:c083:b3:ffff:ffff:ffff:ffff |
| 181 | 3c19:c25f:c083:b4::/64 | 3c19:c25f:c083:b4:ffff:ffff:ffff:ffff |
| 182 | 3c19:c25f:c083:b5::/64 | 3c19:c25f:c083:b5:ffff:ffff:ffff:ffff |
| 183 | 3c19:c25f:c083:b6::/64 | 3c19:c25f:c083:b6:ffff:ffff:ffff:ffff |
| 184 | 3c19:c25f:c083:b7::/64 | 3c19:c25f:c083:b7:ffff:ffff:ffff:ffff |
| 185 | 3c19:c25f:c083:b8::/64 | 3c19:c25f:c083:b8:ffff:ffff:ffff:ffff |
| 186 | 3c19:c25f:c083:b9::/64 | 3c19:c25f:c083:b9:ffff:ffff:ffff:ffff |
| 187 | 3c19:c25f:c083:ba::/64 | 3c19:c25f:c083:ba:ffff:ffff:ffff:ffff |
| 188 | 3c19:c25f:c083:bb::/64 | 3c19:c25f:c083:bb:ffff:ffff:ffff:ffff |
| 189 | 3c19:c25f:c083:bc::/64 | 3c19:c25f:c083:bc:ffff:ffff:ffff:ffff |
| 190 | 3c19:c25f:c083:bd::/64 | 3c19:c25f:c083:bd:ffff:ffff:ffff:ffff |
| 191 | 3c19:c25f:c083:be::/64 | 3c19:c25f:c083:be:ffff:ffff:ffff:ffff |
| 192 | 3c19:c25f:c083:bf::/64 | 3c19:c25f:c083:bf:ffff:ffff:ffff:ffff |
| 193 | 3c19:c25f:c083:c0::/64 | 3c19:c25f:c083:c0:ffff:ffff:ffff:ffff |
| 194 | 3c19:c25f:c083:c1::/64 | 3c19:c25f:c083:c1:ffff:ffff:ffff:ffff |
| 195 | 3c19:c25f:c083:c2::/64 | 3c19:c25f:c083:c2:ffff:ffff:ffff:ffff |
| 196 | 3c19:c25f:c083:c3::/64 | 3c19:c25f:c083:c3:ffff:ffff:ffff:ffff |
| 197 | 3c19:c25f:c083:c4::/64 | 3c19:c25f:c083:c4:ffff:ffff:ffff:ffff |
| 198 | 3c19:c25f:c083:c5::/64 | 3c19:c25f:c083:c5:ffff:ffff:ffff:ffff |
| 199 | 3c19:c25f:c083:c6::/64 | 3c19:c25f:c083:c6:ffff:ffff:ffff:ffff |
| 200 | 3c19:c25f:c083:c7::/64 | 3c19:c25f:c083:c7:ffff:ffff:ffff:ffff |
| 201 | 3c19:c25f:c083:c8::/64 | 3c19:c25f:c083:c8:ffff:ffff:ffff:ffff |
| 202 | 3c19:c25f:c083:c9::/64 | 3c19:c25f:c083:c9:ffff:ffff:ffff:ffff |
| 203 | 3c19:c25f:c083:ca::/64 | 3c19:c25f:c083:ca:ffff:ffff:ffff:ffff |
| 204 | 3c19:c25f:c083:cb::/64 | 3c19:c25f:c083:cb:ffff:ffff:ffff:ffff |
| 205 | 3c19:c25f:c083:cc::/64 | 3c19:c25f:c083:cc:ffff:ffff:ffff:ffff |
| 206 | 3c19:c25f:c083:cd::/64 | 3c19:c25f:c083:cd:ffff:ffff:ffff:ffff |
| 207 | 3c19:c25f:c083:ce::/64 | 3c19:c25f:c083:ce:ffff:ffff:ffff:ffff |
| 208 | 3c19:c25f:c083:cf::/64 | 3c19:c25f:c083:cf:ffff:ffff:ffff:ffff |
| 209 | 3c19:c25f:c083:d0::/64 | 3c19:c25f:c083:d0:ffff:ffff:ffff:ffff |
| 210 | 3c19:c25f:c083:d1::/64 | 3c19:c25f:c083:d1:ffff:ffff:ffff:ffff |
| 211 | 3c19:c25f:c083:d2::/64 | 3c19:c25f:c083:d2:ffff:ffff:ffff:ffff |
| 212 | 3c19:c25f:c083:d3::/64 | 3c19:c25f:c083:d3:ffff:ffff:ffff:ffff |
| 213 | 3c19:c25f:c083:d4::/64 | 3c19:c25f:c083:d4:ffff:ffff:ffff:ffff |
| 214 | 3c19:c25f:c083:d5::/64 | 3c19:c25f:c083:d5:ffff:ffff:ffff:ffff |
| 215 | 3c19:c25f:c083:d6::/64 | 3c19:c25f:c083:d6:ffff:ffff:ffff:ffff |
| 216 | 3c19:c25f:c083:d7::/64 | 3c19:c25f:c083:d7:ffff:ffff:ffff:ffff |
| 217 | 3c19:c25f:c083:d8::/64 | 3c19:c25f:c083:d8:ffff:ffff:ffff:ffff |
| 218 | 3c19:c25f:c083:d9::/64 | 3c19:c25f:c083:d9:ffff:ffff:ffff:ffff |
| 219 | 3c19:c25f:c083:da::/64 | 3c19:c25f:c083:da:ffff:ffff:ffff:ffff |
| 220 | 3c19:c25f:c083:db::/64 | 3c19:c25f:c083:db:ffff:ffff:ffff:ffff |
| 221 | 3c19:c25f:c083:dc::/64 | 3c19:c25f:c083:dc:ffff:ffff:ffff:ffff |
| 222 | 3c19:c25f:c083:dd::/64 | 3c19:c25f:c083:dd:ffff:ffff:ffff:ffff |
| 223 | 3c19:c25f:c083:de::/64 | 3c19:c25f:c083:de:ffff:ffff:ffff:ffff |
| 224 | 3c19:c25f:c083:df::/64 | 3c19:c25f:c083:df:ffff:ffff:ffff:ffff |
| 225 | 3c19:c25f:c083:e0::/64 | 3c19:c25f:c083:e0:ffff:ffff:ffff:ffff |
| 226 | 3c19:c25f:c083:e1::/64 | 3c19:c25f:c083:e1:ffff:ffff:ffff:ffff |
| 227 | 3c19:c25f:c083:e2::/64 | 3c19:c25f:c083:e2:ffff:ffff:ffff:ffff |
| 228 | 3c19:c25f:c083:e3::/64 | 3c19:c25f:c083:e3:ffff:ffff:ffff:ffff |
| 229 | 3c19:c25f:c083:e4::/64 | 3c19:c25f:c083:e4:ffff:ffff:ffff:ffff |
| 230 | 3c19:c25f:c083:e5::/64 | 3c19:c25f:c083:e5:ffff:ffff:ffff:ffff |
| 231 | 3c19:c25f:c083:e6::/64 | 3c19:c25f:c083:e6:ffff:ffff:ffff:ffff |
| 232 | 3c19:c25f:c083:e7::/64 | 3c19:c25f:c083:e7:ffff:ffff:ffff:ffff |
| 233 | 3c19:c25f:c083:e8::/64 | 3c19:c25f:c083:e8:ffff:ffff:ffff:ffff |
| 234 | 3c19:c25f:c083:e9::/64 | 3c19:c25f:c083:e9:ffff:ffff:ffff:ffff |
| 235 | 3c19:c25f:c083:ea::/64 | 3c19:c25f:c083:ea:ffff:ffff:ffff:ffff |
| 236 | 3c19:c25f:c083:eb::/64 | 3c19:c25f:c083:eb:ffff:ffff:ffff:ffff |
| 237 | 3c19:c25f:c083:ec::/64 | 3c19:c25f:c083:ec:ffff:ffff:ffff:ffff |
| 238 | 3c19:c25f:c083:ed::/64 | 3c19:c25f:c083:ed:ffff:ffff:ffff:ffff |
| 239 | 3c19:c25f:c083:ee::/64 | 3c19:c25f:c083:ee:ffff:ffff:ffff:ffff |
| 240 | 3c19:c25f:c083:ef::/64 | 3c19:c25f:c083:ef:ffff:ffff:ffff:ffff |
| 241 | 3c19:c25f:c083:f0::/64 | 3c19:c25f:c083:f0:ffff:ffff:ffff:ffff |
| 242 | 3c19:c25f:c083:f1::/64 | 3c19:c25f:c083:f1:ffff:ffff:ffff:ffff |
| 243 | 3c19:c25f:c083:f2::/64 | 3c19:c25f:c083:f2:ffff:ffff:ffff:ffff |
| 244 | 3c19:c25f:c083:f3::/64 | 3c19:c25f:c083:f3:ffff:ffff:ffff:ffff |
| 245 | 3c19:c25f:c083:f4::/64 | 3c19:c25f:c083:f4:ffff:ffff:ffff:ffff |
| 246 | 3c19:c25f:c083:f5::/64 | 3c19:c25f:c083:f5:ffff:ffff:ffff:ffff |
| 247 | 3c19:c25f:c083:f6::/64 | 3c19:c25f:c083:f6:ffff:ffff:ffff:ffff |
| 248 | 3c19:c25f:c083:f7::/64 | 3c19:c25f:c083:f7:ffff:ffff:ffff:ffff |
| 249 | 3c19:c25f:c083:f8::/64 | 3c19:c25f:c083:f8:ffff:ffff:ffff:ffff |
| 250 | 3c19:c25f:c083:f9::/64 | 3c19:c25f:c083:f9:ffff:ffff:ffff:ffff |
| 251 | 3c19:c25f:c083:fa::/64 | 3c19:c25f:c083:fa:ffff:ffff:ffff:ffff |
| 252 | 3c19:c25f:c083:fb::/64 | 3c19:c25f:c083:fb:ffff:ffff:ffff:ffff |
| 253 | 3c19:c25f:c083:fc::/64 | 3c19:c25f:c083:fc:ffff:ffff:ffff:ffff |
| 254 | 3c19:c25f:c083:fd::/64 | 3c19:c25f:c083:fd:ffff:ffff:ffff:ffff |
| 255 | 3c19:c25f:c083:fe::/64 | 3c19:c25f:c083:fe:ffff:ffff:ffff:ffff |
| 256 | 3c19:c25f:c083:ff::/64 | 3c19:c25f:c083:ff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |